<div class="tabs">
  <div
    class="tab"
    [class.active]="tab.active"
    *ngFor="let tab of tabs"
    (click)="activate(tab)"
  >
    <ng-template
      *ngIf="tab.title" 
      [ngTemplateOutlet]="tab.title.template"
    ></ng-template>
    <span *ngIf="!tab.title">{{tab.titleInput}}</span>  
  </div>
  <div class="body">
  <ng-content></ng-content>
  </div>  
</div>

